<nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-dark py-0">

  <!-- add logo/title -->
  % if 'image' in config:
    <a class="navbar-brand mt-3 mt-md-1" href="#"><img style="width:80px" src="{{config['image']}}"></a>
  % else:
    <a class="navbar-brand mt-3 mt-md-1" href="">{{config['title']}}</a>
  % end

  <b-navbar-toggle target="nav_collapse">    
    <span class="navbar-toggler-icon"></span>
  </b-navbar-toggle>

  <b-collapse is-nav id="nav_collapse">
    <ul class="navbar-nav mr-auto">

      <!-- add tabs -->
      % for tab in config['tabs']:
        <li class="mr-1 ml-1"><a class="nav-link mt-2" href="{{tab['url']}}">{{tab['name']}}</a></li>
      % end

    </ul>

    <!-- add clock to right edge -->
    <div>
      <a href="#"><div id="clock" style="color: grey"></div></a>
    </div>
  </b-collapse>
</nav>
